#pragma once

#include <Reader.h>
#include <Writer.h>
#include <Vec2.h>
#include "Team.h"
#include "Spiel.h"

class Spiel;
class Aktion;

class MapReader : public virtual ReferenceCounter
{
private:
    Text *pfad;
    int karteId;

public:
    // Konstruktor
    MapReader( int karteId, char *tmpPfad );
    // Destruktor
    ~MapReader();
    Array< int > *getSpielerFarben();
    Array< int > *getTeamFarben();
    // nicht constant
    void ladeKarte( Spiel *zSpiel );

    static Aktion *readAktion( StreamReader &dat );
    static void writeAktion( Aktion *zAk, StreamWriter &dat );
};