#include "STKNachricht.h"
#include <cstring>

// Inhalt der STKNachricht Klasse aus STKNachricht.h
// Konstruktor
STKNachricht::STKNachricht( int ln, char *nachricht )
    : ReferenceCounter()
{
    verarbeitet = 0;
    this->ln = ln;
    this->nachricht = new char[ this->ln ];
    memcpy( this->nachricht, nachricht, ln );
}

// Destruktor
STKNachricht::~STKNachricht()
{
    delete[] nachricht;
}

// nicht constant
void STKNachricht::setVerarbeitet()
{
    verarbeitet = 1;
}

// constant
bool STKNachricht::istVerarbeitet() const
{
    return verarbeitet;
}

int STKNachricht::getLength() const
{
    return ln;
}

char *STKNachricht::getNachricht() const
{
    return nachricht;
}